﻿<form id="employee" method="post" enctype="multipart/form-data">
    <div class="modal fade" data-backdrop="static" data-keyboard="fale" id="otherexpenseModel" tabindex="-1" role="dialog" aria-labelledby="otherexpenseModel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div id="loadingGif"></div>
                <div class="modal-header">
                    <button type="button" class="btn-danger btn-xs pull-right" onclick="function close(){window.location.reload(true)};close()"><span class="glyphicon glyphicon-remove"></span></button>
                    <h4 class="modal-title text-center" style="color: darkblue;"><b>@Resources.Content.ManageOtherExpense</b></h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-6">
                            <input type="text" hidden value="" />
                            <input id="id" name="id" type="text" value="" class="form-control input-sm hidden" placeholder="Enter employeeId" />

                            <div class="form-group">
                                <label for="date">@Resources.Content.Date</label>
                                <input id="date" name="date" type="date" value="@DateTime.Now.ToString("yyyy'-'MM'-'dd")" class="form-control input-sm" placeholder="Enter Product Name" />

                            </div>
                            <div class="form-group">
                                <label for="expensetypeid">@Resources.Content.ExpenseType</label>
                                <select class="form-control input-sm" id="expensetypeid">
                                    @foreach (var pos in Model.ExpenseTypes)
                                    {
                                        <option value=@pos.id>@pos.typename</option>
                                    }
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="amount">@Resources.Content.Amount</label>
                                <input id="amount" name="amount" type="number" value="0" onfocus="this.select();" class="form-control input-sm"/>

                            </div>
                            <div class="form-group">
                                <label for="note">@Resources.Content.Note</label>
                                <input id="note" name="note" type="text" value="" class="form-control input-sm"/>

                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <img class="center img-responsive img-thumbnail" id="image" src="~/Images/invoice-icon.png" style="width:260px;height:260px" />
                            </div>
                            <div class="form-group">
                                <label>@Resources.Content.AttacheInvoice</label>
                                <input onchange="readURL(this);" type="file" id="file" />
                                <input type="hidden" value="" id="file_old" />
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" id="btnSaveOtherExpense" onclick="SaveOtherExpenseAction()" class="btn btn-info btn-sm"><span class="glyphicon glyphicon-save"></span> @Resources.Content.Save</button>
                    <button type="button" id="btnUpdateOtherExpense" onclick="UpdateOtherExpenseAction()" class="btn btn-success btn-sm"><span class="glyphicon glyphicon-refresh"></span> @Resources.Content.Update</button>
                    <button type="button" id="btnCheckOut" onclick="function close(){window.location.reload(true)};close()" class="btn btn-danger btn-sm"><span class="glyphicon glyphicon-remove"></span>​ @Resources.Content.Close</button>
                </div>
            </div>
        </div>
    </div>
</form>

<script>

    function SaveOtherExpenseAction() {
        if ($('#amount').val() == "") {
            $('#amount').focus();
            return false;
        }

        var data = new FormData();
        data.append("date", $("#date").val());
        data.append("expensetypeid", $("#expensetypeid").val());
        data.append("amount", $("#amount").val());
        data.append("note", $("#note").val());
        var files = $("#file").get(0).files;
        if (files.length > 0) {
            data.append("image", files[0]);
        }
        $.ajax({
            type: "POST",
            url: "/api/OtherExpense",
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("Insert data successfully.", "Server Response");
                tableEmployee.ajax.reload();
                window.location.reload(true);
            },
            error: function (error) {
                toastr.error("Bad Request!", "Server Response");
            }
        });
    }

    function UpdateOtherExpenseAction() {

        if ($('#amount').val() == "") {
            $('#amount').focus();
            return false;
        }

        var data = new FormData();
        data.append("id", $('#id'));
        data.append("date", $("#date").val());
        data.append("extypeid", $("#expensetypeid").val());
        data.append("amount", $("#amount").val());
        data.append("note", $("#note").val());
        data.append("file_old", $("#file_old").val());
        var files = $("#file").get(0).files;
        if (files.length > 0) {
            data.append("image", files[0]);
        }
        $.ajax({
            type: "PUT",
            url: "/api/OtherExpense/" + $('#id').val(),
            contentType: false,
            processData: false,
            data: data,
            success: function (result) {
                toastr.success("OtherExpense has been updated successfully.", "Server Response");
                tableEmployee.ajax.reload();
                window.location.reload(true);
            },
            error: function (error) {
                toastr.error("OtherExpense Already Exists!.", "Server Response");
            }
        });
    }

    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                $('#image').attr('src', e.target.result);
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>